## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.TypedFollowingSiblingIterator

    java.lang.Object
      org.apache.xml.dtm.ref.DTMAxisIteratorBase
          org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
              org.apache.xml.dtm.ref.DTMDefaultBaseIterators.FollowingSiblingIterator
                  org.apache.xml.dtm.ref.DTMDefaultBaseIterators.TypedFollowingSiblingIterator

All Implemented Interfaces:
  java.lang.Cloneable, DTMAxisIterator

Enclosing class:
  DTMDefaultBaseIterators

    public final class DTMDefaultBaseIterators.TypedFollowingSiblingIterator

extends DTMDefaultBaseIterators.FollowingSiblingIterator

Iterator that returns all following siblings of a given node.

Field Summary

Fields inherited from interface org.apache.xml.dtm.DTMAxisIterator
`END`

Constructor Summary
`DTMDefaultBaseIterators.TypedFollowingSiblingIterator(int type)` Constructor TypedFollowingSiblingIterator

Method Summary
`int` `next()` Get the next node in the iteration.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.FollowingSiblingIterator
`setStartNode`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.TypedFollowingSiblingIterator

    public DTMDefaultBaseIterators.TypedFollowingSiblingIterator(int type)

  Constructor TypedFollowingSiblingIterator

  Parameters:
    `type` - The extended type ID being requested.

Method Detail

### next

    public int next()

  Get the next node in the iteration.

  Specified by:
    `next` in interface `DTMAxisIterator`
  Overrides:
    `next` in class `DTMDefaultBaseIterators.FollowingSiblingIterator`
  Returns:
    The next node handle in the iteration, or END.

Copyright © 2005 Apache XML Project. All Rights Reserved.